xoops forums

jcera

Just popping in
Posted on: 2008/1/8 7:19
jcera
jcera (Show more)
Just popping in
Posts: 72
Since: 2004/6/5 6
#1

From windows to Ubuntu 7.1

Hi Everyone,

I hope you can help me with this. the server on which my site resides has moved from windows to Ubuntu. I have freshly installed the following:

php 5.0
mysql 5.0
apache 2

and I'm using XOOPS Version 2.0.6.

I have installed it successfully. But hwen I try to visit my site for the first time, I get the following message:

Parse error: syntax error, unexpected T_CLONE, expecting T_STRING in /var/www/html/kernel/object.php on line 528

this is what line 528 of object.php looks like:

function &clone()

Please help me correct this. Should I just install a newer version of XOOPS then? If this will make my life easier, then I'm ok to do this, as long as this will not affect the old modules that I have developed. (How do I uninstall the older version?)

Or if you know of a quicker way to resolve this (a one-time module install/upgrade or something), please feel free to send me your suggestion.

Thank you!

christian

Just can't stay away
Posted on: 2008/1/8 7:58
christian
christian (Show more)
Just can't stay away
Posts: 401
Since: 2002/2/24
#2

Re: From windows to Ubuntu 7.1

Hi,

Your XOOPS version as XOOPS 2.0.6 is not ready for use with php5 and MySQL 5.

Upgrade with the last XOOPS version -> 2.0.18